> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# [Deprecated] Get all customers (v1)

This endpoint gets all of your customers. This list will be filtered to the customers your API token has access to.

<ParamField body="parent_provided_id" type="string">
  Filters customers to those with specified parent provided id.
</ParamField>

<ParamField body="hierarchy_level_name" type="string">
  Filters customers to those within the specified hierarchy level.
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<ResponseField name="customers" type="object[]">
  The contents of each customer

  <Expandable title="Toggle object">
    <ResponseField name="token" type="string">
      The customer token (customerToken or CUSTOMER\_TOKEN) that will be used to identify which customer
      is viewing the dashboard. You should save this on your end to use when rendering an embedded
      dashboard by passing this token into the web component or iframe. Example usage
      [here](/embedding-documentation/dashboard/option-1-web-component/).
    </ResponseField>

    <ResponseField name="name" type="string">
      The display name you provided for your customer in Explo.
    </ResponseField>

    <ResponseField name="provided_id" type="string">
      The ID you use to identify this customer in your database that you provided. This is also the ID
      you will use to reference your customer in Explo queries or access your customer via the API. For
      more information on example usage, check out [this section](/creating-dashboards/variables/tips).
    </ResponseField>

    <ResponseField name="emails" type="object">
      An array of email addresses you provided for your customer.
    </ResponseField>

    <ResponseField name="group_tags" type="object">
      An array of group tag names that have been assigned to this customer.
    </ResponseField>

    <ResponseField name="hierarchy_level" type="string">
      The name of the assigned hierarchy level.
    </ResponseField>

    <ResponseField name="access_group" type="string or null">
      If present, the name of the assigned data visibility group.
    </ResponseField>

    <ResponseField name="is_demo_group" type="boolean">
      True if this customer is a demo customer, which means that data panels will include a demo
      watermark for the customer. Demo customers do not count towards paid customers.
    </ResponseField>

    <ResponseField name="properties" type="JSON or null">
      A set of key-value pairs assigned to this customer. These will be accessible through variables in
      the dashboards and SQL editor. More information on properties can be found in [this
      section](/creating-dashboards/variables/passing-in-variables).
    </ResponseField>

    <ResponseField name="computed_properties" type="JSON">
      A properties object based on the provided properties of this customer and any inherited properties
      from parent customers.
    </ResponseField>

    <ResponseField name="parent_schema_datasource_mapping" type="JSON | Null">
      A set of key-values pairs that map a schema id to the data source that this customer loads data
      from. For more information on schemas and data sources, check out [this
      section](/database-setup/data-sources-and-schema/).
    </ResponseField>

    <ResponseField name="computed_parent_schema_datasource_mapping" type="JSON">
      A schema datasource mapping object based on the parent\_schema\_datasource\_mapping of the customer
      and any inherited parent\_schema\_datasource\_mapping from parent customers.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.explo.co/api/customers/' \
  --header 'Content-Type: application/json' \
  --header 'Explo-Authorization: Token <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1,
    "new_customer": true,
    "customers": [{
      "token": "<customer_token_to_auth_dashboard>",
      "name": "Example 1",
      "provided_id": "example_1",
      "is_demo_group": false,
      "emails": ["example@example.com"],
      "group_tags": ["designers", "engineers"],
      "properties": { "filterValue": "value" },
      "computed_properties": { "filterValue": "value" },
      "access_group": "Development",
      "parent_schema_datasource_mapping": {"40": "213": "134": "386"},
      "computed_parent_schema_datasource_mapping": {"40": "213": "134": "386"},
      "hierarchy_level": "Level 1"
    }, {
      "token": "<customer_token_to_auth_dashboard>",
      "name": "Example 2",
      "provided_id": "example_2",
      "is_demo_group": false,
      "emails": ["example2@example.com"],
      "group_tags": [],
      "properties": { "filterValue": "value" },
      "computed_properties": { "filterValue": "value" },
      "access_group": "Production",
      "parent_schema_datasource_mapping": {"40": "213": "134": "386"},
      "computed_parent_schema_datasource_mapping": {"40": "213": "134": "386"},
      "hierarchy_level": "Level 2"
    }]
  }
  ```
</ResponseExample>
